//
//  DependencyKey.swift
//  DependencyInjection
//
//  Created by Javier Cicchelli on 05/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

public protocol DependencyKey {

    // MARK: Associated types

    associatedtype Value
    
    // MARK: Properties
    
    static var currentValue: Value { get set }
    
}
